git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Wink Saville <wink@saville.com>
To: git@vger.kernel.org
Cc: Wink Saville <wink@saville.com>,
	sunshine@sunshineco.com, Johannes.Schindelin@gmx.de,
	gitster@pobox.com
Subject: [RFC PATCH v3 2/9] Call git_rebase__interactive from run_specific_rebase
Date: Thu, 22 Mar 2018 09:57:22 -0700	[thread overview]
Message-ID: <47b224af1c22900a69d0e292935f37a719b6a9f3.1521690197.git.wink@saville.com> (raw)
In-Reply-To: <cover.1521690197.git.wink@saville.com>
In-Reply-To: <cover.1521690197.git.wink@saville.com>

Instead of indirectly invoking git_rebase__interactive this invokes
it directly after sourcing.

Signed-off-by: Wink Saville <wink@saville.com>
---
 git-rebase--interactive.sh | 11 -----------
 git-rebase.sh              | 11 +++++++++--
 2 files changed, 9 insertions(+), 13 deletions(-)

diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 561e2660e..213d75f43 100644
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -740,15 +740,6 @@ get_missing_commit_check_level () {
 	printf '%s' "$check_level" | tr 'A-Z' 'a-z'
 }
 
-# The whole contents of this file is run by dot-sourcing it from
-# inside a shell function.  It used to be that "return"s we see
-# below were not inside any function, and expected to return
-# to the function that dot-sourced us.
-#
-# However, older (9.x) versions of FreeBSD /bin/sh misbehave on such a
-# construct and continue to run the statements that follow such a "return".
-# As a work-around, we introduce an extra layer of a function
-# here, and immediately call it after defining it.
 git_rebase__interactive () {
 
 case "$action" in
@@ -1029,5 +1020,3 @@ fi
 do_rest
 
 }
-# ... and then we call the whole thing.
-git_rebase__interactive
diff --git a/git-rebase.sh b/git-rebase.sh
index a1f6e5de6..c4ec7c21b 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -196,8 +196,15 @@ run_specific_rebase () {
 		export GIT_EDITOR
 		autosquash=
 	fi
-	. git-rebase--$type
-	ret=$?
+	if test "$type" = interactive
+	then
+		. git-rebase--interactive
+		git_rebase__interactive
+		ret=$?
+	else
+		. git-rebase--$type
+		ret=$?
+	fi
 	if test $ret -eq 0
 	then
 		finish_rebase
-- 
2.16.2


  parent reply	other threads:[~2018-03-22 16:57 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-03-22 16:57 [RFC PATCH v3 0/9] rebase-interactive: Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 1/9] Simplify pick_on_preserving_merges Wink Saville
2018-03-22 16:57 ` Wink Saville [this message]
2018-03-22 18:27   ` [RFC PATCH v3 2/9] Call git_rebase__interactive from run_specific_rebase Junio C Hamano
2018-03-22 19:28     ` Wink Saville
2018-03-22 20:03       ` [RFC PATCH v3.1 2/9 2/2] rebase-interactive: Do not automatically run code Wink Saville
2018-03-22 20:46         ` Junio C Hamano
2018-03-22 22:45           ` Wink Saville
2018-03-23  2:06             ` Junio C Hamano
2018-03-22 16:57 ` [RFC PATCH v3 3/9] Indent function git_rebase__interactive Wink Saville
2018-03-23 17:43   ` Johannes Schindelin
2018-03-22 16:57 ` [RFC PATCH v3 4/9] Extract functions out of git_rebase__interactive Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 5/9] Use new functions in git_rebase__interactive Wink Saville
2018-03-23 17:42   ` Johannes Schindelin
2018-03-23 18:24     ` Junio C Hamano
2018-03-23 20:09       ` Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 6/9] Add and use git_rebase__interactive__preserve_merges Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 7/9] Remove unused code paths from git_rebase__interactive Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 8/9] Remove unused code paths from git_rebase__interactive__preserve_merges Wink Saville
2018-03-22 16:57 ` [RFC PATCH v3 9/9] Remove merges_option and a blank line Wink Saville

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=47b224af1c22900a69d0e292935f37a719b6a9f3.1521690197.git.wink@saville.com \
    --to=wink@saville.com \
    --cc=Johannes.Schindelin@gmx.de \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=sunshine@sunshineco.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).